/*
 * Copyright (c) 2001 VM Labs, Inc.  All rights reserved.
 *
 * NOTICE: VM Labs permits you to use, modify, and distribute this file
 * in accordance with the terms of the VM Labs license agreement
 * accompanying it. If you have received this file from a source other
 * than VM Labs, then your use, modification, or distribution of it
 * requires the prior written permission of VM Labs.
*/

#define MAZE_W 37
#define MAZE_H 24

#define NUMLEVELS 27

typedef struct
{
	unsigned char maze[MAZE_W*MAZE_H];
	int gDivider;
} LEVEL;

/*
   # = Wall
   . = Pill
   * = Fruit
   o = Extra Strength Pill
   X = Hero start position
   1,2,3,4,5 = Enemy start positions
*/

LEVEL levels[NUMLEVELS]=
{
	{
            "  #############       #############  "
			"  # .  .  .   #       #   .  .  . #  "
			"### # ## ####.#########.#### ## # ###"
			"# . # .#.#*#  .  . .  .  #*#.#. # . #"
			"# #### # # ## ######### ## # # #### #"
			"#.  .  .  .  .  . o .  .  .  .  .  .#"
			"### # ######## ####### ######## # ###"
			"  #.# .  .  .  .  .  .  .  .  . #.#  "
			"  # #  #### ##### # ##### ####  # #  "
			"  #. . .#  .  .  .#.  .  .  #. . .#  "
			"  # # #  . #.#### # ####.# .  # # #  "
			"  #.#.#.#### #. .   . .# ####.#.#.#  "
			"  #   # # . .# ### ### #. . # #   #  "
			"  #.#.#.# ####.# 1 2 #.#### #.#.#.#  "
			"### # # # .  . ####### .  . # # # ###"
			"#  . . .# #### . . . . #### #. . .  #"
			"#.# # # .  . ########### .  . # # #.#"
			"# # #*### #  . #  .  # .  # ###*# # #"
			"#.# # . # # #  . # # .  # # # . # #.#"
			"# # ### # # ###### ###### # # ### # #"
			"#.# o  .  .  .  . X .  .  .  .  o #.#"
			"# ###### ######### ######### ###### #"
			"# .  .  .  .  .  . .  .  .  .  .  . #"
			"#####################################",
			
			3
			
	},
	{
            "  #############       #############  "
			"  # .  .  .   #       #   .  .  . #  "
			"### # ## ####.#########.#### ## # ###"
			"# . # .#.#*#  .  .2.  .  #*#.#. # . #"
			"# #### # # ## ######### ## # # #### #"
			"#.  .  .  .  .  . o .  .  .  .  .  .#"
			"### # ######## ####### ######## # ###"
			"  #.# .  .  .  .  .  .  .  .  . #.#  "
			"  # #  #### ##### # ##### ####  # #  "
			"  #. . .#  .  .  .#.  .  .  #. . .#  "
			"  # # #  . #.#### # ####.# .  # # #  "
			"  #.#.#.#### #. .   . .# ####.#.#.#  "
			"  #   # # . .# ### ### #. . # #   #  "
			"  #.#.#.# ####.# 1 3 #.#### #.#.#.#  "
			"### # # # .  . ####### .  . # # # ###"
			"#  . . .# #### . . . . #### #. . .  #"
			"#.# # # .  . ########### .  . # # #.#"
			"# # #*### #  . #  .  # .  # ###*# # #"
			"#.# # . # # #  . # # .  # # # . # #.#"
			"# # ### # # ###### ###### # # ### # #"
			"#.# o  .  .  .  . X .  .  .  .  o #.#"
			"# ###### ######### ######### ###### #"
			"# .  .  .  .  .  . .  .  .  .  .  . #"
			"#####################################",
			
			3
			
	},
	{
            "  #############       #############  "
			"  # .  .  .   #       #   .  .  . #  "
			"### # ## ####.#########.#### ## # ###"
			"# . # .#.#*#  .  . .  .  #*#.#. # . #"
			"# #### # # ## ######### ## # # #### #"
			"#.  .  .  .  .  . o .  .  .  .  .  .#"
			"### # ######## ####### ######## # ###"
			"  #.# .  .  .  .  .  .  .  .  . #.#  "
			"  # #  #### ##### # ##### ####  # #  "
			"  #. . .#  .  .  .#.  .  .  #. . .#  "
			"  # # #  . #.#### # ####.# .  # # #  "
			"  #.#.#.#### #. .   . .# ####.#.#.#  "
			"  #   # # . .# ### ### #. . # #   #  "
			"  #.#.#.# ####.# 1 2 #.#### #.#.#.#  "
			"### # # # .  . ####### .  . # # # ###"
			"#  . . .# #### . . . . #### #. . .  #"
			"#.#3# # .  . ########### .  . # #4#.#"
			"# # #*### #  . #  .  # .  # ###*# # #"
			"#.# # . # # #  . # # .  # # # . # #.#"
			"# # ### # # ###### ###### # # ### # #"
			"#.# o  .  .  .  . X .  .  .  .  o #.#"
			"# ###### ######### ######### ###### #"
			"# .  .  .  .  .  . .  .  .  .  .  . #"
			"#####################################",
			
			3
			
	},
	{
            "#####################################"
			"# .  .  .  .# .  .*.  . #.  .  .  . #"
			"# #### #### # ######### # #### #### #"
			"#.# .  .  # . #  . .  # . #  .  . #.#"
			"#   ##### # # . # o # . # # #####   #"
			"#.# # .  .  #  ###.###  #  .  . # #.#"
			"# # # ##### #### . . #### ##### # # #"
			"#.# .  .  . #  . # # .  # .  .  . #.#"
			"# # # # # # # #### #### # # # # # # #"
			"#.#*#o# #.#   # 12345 #   #.# #o#*#.#"
			"# # # #.# # # #### #### # # #.# # # #"
			"#.  #.# #.# #.  .   .  .# #.# #.#  .#"
			"# ### # # # # ######### # # # # ### #"
			"#.# .  .  . # .  . .  . # .  .  . #.#"
			"# # ####### # ######### # ####### # #"
			"#.# . # . # .  .  .  .  . # . # . #.#"
			"#   # . # . ############# . # . #   #"
			"# ########   . .  X  . .   ######## #"
			"#.  .   .#.###############.#.   .  .#"
			"# ###### #  .  ##   ##  .  # ###### #"
			"#.  .  #.#.# # .  #  . # #.#.#  .  .#"
			"# #### # # # ########### # # # #### #"
			"#.  .   .  #   .  *  .   #  .   .  .#"
			"#####################################",
			
			3
			
	},
	{
            
            "#####################################"
			"#. . . . . . . . . . . . . . . . . .#"
			"# ###### ######## # ######### ##### #"
			"#  . . . . . . .  # . . . . . . . . #"
			"#o######.########.#.#########.#####o#"
			"#  . . . . . . . . . . . . . . . .  #"
			"#.######.#.###############.#.######.#"
			"#  . . . #. . . . #. . . . # . . .  #"
			"########.######## # ########.########"
			"       # #                 # #       "
			"########.#   ##### #####   #.########"
			"#            #         #            #"
			"#       .    #  12345  #    .       #"
			"######## #   ##### #####   # ########"
			"       #.#        *        #.#       "
			"######## # ############### # ########"
			"#. . . . . . . . .#. . . . . . . . .#"
			"# ######.########.#.########.###### #"
			"#o. . .#  . . . . X . . . .  #. . .o#"
			"###### #.#.###############.#.# ######"
			"#. . . . # . . . .#. . . . # . . . .#"
			"# ###############.#.############### #"
			"#. . . . . . . . . . . . . . . . . .#"
			"#####################################",
			
			2
			
	},
	{
            
            "#####################################"
			"#o . . .#. . . . . . . . . .#. . . o#"
			"# ##### # ################# # ##### #"
			"#. . . . . . . . . . . . . . . . . .#"
			"##### # #########   ######### # #####"
			"#. . .#. . . . . .#. . . . . .#. . .#"
			"##### # ######### # ######### # #####"
			"    #.#. . . . . .#. . . . . .#.#    "
			"    # #### # ########### # #### #    "
			"    #. . . . . . . . . . . . . .#    "
			"    # #### # ####   #### # #### #    "
			"    #.# . .# #         #.#. . #.#    "
			"    #.#.# .#.#  12345  #.#. #.#.#    "
			"##### # # ## ##### ##### ## # # #####"
			"#. . . .#. . . . .*. . . . .#. . . .#"
			"##### ########### # ########### #####"
			"    #. . . . . . .#. . . . . . .#    "
			"##### ###### ########### ###### #####"
			"#. . . . . . . . .X. . . . . . . . .#"
			"# ###### ######## # ######## ###### #"
			"#o#    #.#. . . . # . . . .#.#    #o#"
			"# ###### # ############### # ###### #"
			"#. . . . . . . . . . . . . . . . . .#"
			"#####################################",
			
			2
			
	},
	{
            "#####################################"
			"#. . . . . . .#. .#. .#. . . . . . .#"
			"# ######### # # # # # # # ######### #"
			"#o#       #.#.#.#.#.#.#.#.#       #o#"
			"# ######### #   #   #   # ######### #"
			"#. . . . .#. . . . . . . .#. . . . .#"
			"# ####### ################# ####### #"
			"#. . . . . . . . . . . . . . . . . .#"
			"# ########### #### #### ########### #"
			"# . . . . . # #       # # . . . . . #"
			"#.#########.#.# 12345 #.#.#########.#"
			"# ####*#### # #### #### # ####*#### #"
			"#.#. . . . .#. . . . . .#. . . . .#.#"
			"# # ######### ######### ######### # #"
			"#. . . .#. . . . . . . . . .#. . . .#"
			"####### ########## ########## #######"
			"#. . . . . . . . .X. . . . . . . . .#"
			"# ##### ######### # ######### ##### #"
			"#. . .#. . . . . .#. . . . .#.#. . .#"
			"# ### # # # ############# # # # ### #"
			"#.# o #.#.#. . . .*. . . .#.#.# o #.#"
			"# # ### # ################# # ### # #"
			"#. . . . . . . . . . . . . . . . . .#"
			"#####################################",
			
			2
			
	},
	{
            "#####################################"
			"#o.................................o#"
			"#.####.#.#.#.###########.#.#.#.####.#"
			"#.#....#.#.#.#....#....#.#.#.#....#.#"
			"#.#.####.#.#.#.##...##.#.#.#.####.#.#"
			"#........#.#....#.#.#....#.#........#"
			"#.####.###.###############.###.####.#"
			"#.#......#.................#......#.#"
			"#.####.###.#######.#######.###.####.#"
			"#...................................#"
			"#.#.#.#.#.#.#.#### ####.#.#.#.#.#####"
			"#...#...#.#.#.#       #.#.#.#...#...#"
			"#.#...#...#.#.# 12345 #.#.#...#...#.#"
			"###########.#.#### ####.#.#########.#"
			"#.................*.................#"
			"#.####.###.#######.#######.###.####.#"
			"#.#......#........X........#......#.#"
			"#.####.###.###############.###.####.#"
			"#........#.#....#.#.#....#.#........#"
			"#.#.####.#.#.#.##...##.#.#.#.####.#.#"
			"#.#....#.#.#.#....#....#.#.#.#....#.#"
			"#.####.#.#.#.###########.#.#.#.####.#"
			"#o.................................o#"
			"#####################################",
			
			2
			
	},
	{
            "#####################################"
			"#o.....#.....................#.....o#"
			"#.####.#.#.#.###########.#.#.#.####.#"
			"#.#....#.#.#.#.........#.#.#.#....#.#"
			"#.#.####.#.#.#.##.#.##.#.#.#.####.#.#"
			"#...................................#"
			"#.####.###.##.####.####.##.###.####.#"
			"#.#......#..#...........#..#......#.#"
			"#.####.###.##.#.##.##.#.##.###.####.#"
			"#...........#.#.......#.#...........#"
			"#.#########.#.#### ####.#.######### #"
			"#.....#####.#.         .#.#####.....#"
			"#.#.......#.#.# 12345 #.#.#.......#.#"
			"#.####.####.#.#########.#.####.####.#"
			"#...........#.#...*...#.#...........#"
			"#.####.###.## #.#####.# ##.###.####.#"
			"#...........#.#...X...#.#...........#"
			"#.####.###.##.####.####.##.###.####.#"
			"#...................................#"
			"#.#.####.#.#.#.##.#.##.#.#.#.####.#.#"
			"#.#....#.#.#.#.........#.#.#.#....#.#"
			"#.####.#.#.#.###########.#.#.#.####.#"
			"#o.....#.....................#.....o#"
			"#####################################",
			
			2
			
	},
	{
            "#####################################"
			"#o.................................o#"
			"#.####.#.#.#.#####.#####.#.#.#.####.#"
			"#..#...#.#.#.#.........#.#.#.#...#..#"
			"#...##.#.#.#.#####.#####.#.#.#.##...#"
			"###..#.........................#..###"
			"#.....####.#######.#######.####.....#"
			"###....#.....#...........#...#....###"
			"######.###.#######.#######.###.######"
			"#........#.................#........#"
			"#.###########.#### ####.###########.#"
			"#.............#       #.............#"
			"#.############# 12345 #############.#"
			"#.........#...#### ####...#.........#"
			"#######.##..#.....*........##.#######"
			"#.......#..##.####.####.##..#.......#"
			"#.######..........X..........######.#"
			"#.....####.##.####.####.##.####.....#"
			"###.##.........................##.###"
			"#...##.#.#.#.#.#######.#.#.#.#.##...#"
			"#..#...#.#.#.#.........#.#.#.#...#..#"
			"#.####.#.#.#.#####.#####.#.#.#.####.#"
			"#o.................................o#"
			"#####################################",
			
			2
			
	},
	{
            "#####################################"
			"#o.................................o#"
			"#.####.#.###.#####.#####.###.#.####.#"
			"#..###.#.#.#.............#.#.#.###..#"
			"#...##.#.#.#.#####.#####.#.#.#.##...#"
			"#.#...............................#.#"
			"#.########.#######.#######.########.#"
			"#...................................#"
			"#.#####.###.###### ######.###.#####.#"
			"#...#...#...#...........#...#...#...#"
			"#.#...#...#...#### ####...#...#...#.#"
			"#.#############       #############.#"
			"#.............# 12345 #.............#"
			"###########.#.#### ####.#.###########"
			"#...........#.....*.....#...........#"
			"#.###########.#########.###########.#"
			"#...........#.....X.....#...........#"
			"###########.#.####.####.#.###########"
			"#...........#...........#...........#"
			"#.###########.#########.###########.#"
			"#...........#...........#...........#"
			"###########.#.####.####.#.###########"
			"#o..........#...........#..........o#"
			"#####################################",
			
			2
			
	},
	{
            "#####################################"
			"#o..........#...........#..........o#"
			"#.###.#.###.#.#########.#.###.#.###.#"
			"#.....#.......................#.....#"
			"###.###.##### ######### #####.###.###"
			"#...........#...........#...........#"
			"#.###.#.###.#.#########.#.###.#.###.#"
			"#.....#.......................#.....#"
			"###.###.##### ######### #####.###.###"
			"###......####...........####......###"
			"#...###.......#### ####.......###...#"
			"###.###.#####.#       #.#####.###.###"
			"#...........#.# 12345 #.#...........#"
			"#.###.#.###.#.#### ####.#.###.#.###.#"
			"#.....#...........*...........#.....#"
			"###.###.#####.#########.##### ### ###"
			"#...........#.....X.....#...........#"
			"#.###.#.###.#.#########.#.### # ### #"
			"#.....#.......................#.....#"
			"###.###.#####.#########.#####.###.###"
			"#...........#...........#...........#"
			"#.###.#.###.#.#########.#.###.#.###.#"
			"#o....#.......................#....o#"
			"#####################################",
			
			2
			
	},
	{
            "#####################################"
			"#o..........#.................#....o#"
			"#.#####.###.#.##.############.#.###.#"
			"#.....#.......................#.....#"
			"###.###.##### ######.## #####.###.###"
			"#...........#...........#...........#"
			"#.###.#.###.###########.#####.#####.#"
			"#.....#.......................#.....#"
			"###.###.##### ####.#### #####.###.###"
			"###.#...#####...........####......###"
			"#...###.##....#### ####.#.....#.#...#"
			"#.#####.#####.#       #.#####.#.#.###"
			"#...........#.# 12345 #.............#"
			"#.###.#.###.#.#### ####.#.###.#.###.#"
			"#.....#.....#.....*.....#.....#.....#"
			"###.###.##.##.###############.#######"
			"#.....#.#...#.....X.....#...........#"
			"#.###.#.###.#.##.######.#.###.#.###.#"
			"#.....#...............#.....#.#.....#"
			"###.###.#####.####.####.#####.###.###"
			"#...........#...........#.......#...#"
			"#.###.#.###.#.#######.#.#.###.#.###.#"
			"#o....#.....#.........#.......#....o#"
			"#####################################",
			
			2
			
	},
	{
            "#####################################"
			"#o......................#.....#...#o#"
			"#.#####.#.#.##..#.#.#.#.#.###.#.#.#.#"
			"#.......#.#..##.#...#.#.#.#...#.#.#.#"
			"#.#####.#.##..#.#####.#.#.#.###.#.#.#"
			"#.....................#.#.#.#...#.#.#"
			"#.###.#.###.#########.#.#.#.#.###.#.#"
			"#.....#...............#...#...#...#.#"
			"#.#.###.#####.#######.#############.#"
			"#...................................#"
			"###.#.#.#.....#### ####.#.....#.#.###"
			"###.#.#.#####.#       #.#####.#.#.###"
			"#...........#.# 12345 #.#...........#"
			"#####.#.###.#.#### ####.#.###.#.#####"
			"#.................*.................#"
			"#.#####.#####.#########.#####.#####.#"
			"#.................X.................#"
			"#####.#..##.#.#########.#.##..#.#####"
			"#...#..#.....................#..#...#"
			"#.#..#.#.####.####.####.####.#.#..#.#"
			"#..#.#.#....#...........#....#.#.#..#"
			"##.#.#.#.##.#.#########.#.##.#.#.#.##"
			"#o.#...#.....................#...#.o#"
			"#####################################",
			
			2
			
	},
	{
            "#####################################"
			"#o.................................o#"
			"#.##.#.#######################.#.##.#"
			"#....#.#..........#..........#.#....#"
			"####.#...###.#.##.#.##.#.###...#.####"
			"#....#.#.....#.........#.....#.#....#"
			"#.##.#.#######################.#.##.#"
			"#....#.........................#....#"
			"#.####.######.#########.######.####.#"
			"#...................................#"
			"#.###########.#### ####.###########.#"
			"#.#......#....#       #....#......#.#"
			"#...##.#...##.# 12345 #.##...#.##...#"
			"######.######.#### ####.######.######"
			"#.................*.................#"
			"#.####.######.#########.######.####.#"
			"#....#............X............#....#"
			"#.##.#.#######################.#.##.#"
			"#....#.#.....#.........#.....#.#....#"
			"####.#...###.#.##.#.##.#.###...#.####"
			"#....#.#..........#..........#.#....#"
			"#.##.#.#######################.#.##.#"
			"#o.................................o#"
			"#####################################",
			
			2
			
	},
	{
            "#####################################"
			"#o.................................o#"
			"#.##########.#####.#####.##########.#"
			"#.#..............#.#.....#.#..#...#.#"
			"#.#.####.###.#####.###.###....###.#.#"
			"#.#.#..............#....#..#......#.#"
			"#.#.####.#....####.####.#.##.######.#"
			"#........#.##....#.#.......#........#"
			"#.################.#####.##########.#"
			"#...................................#"
			"##.###.######.#### ####.######.###.##"
			"#....#.##.#...#       #.#.##...#....#"
			"#.##.#......#.# 12345 #......#.#.##.#"
			"####.#.######.#### ####.######.#.####"
			"#.................*.................#"
			"#.################.#####.##########.#"
			"#........#.##....#X#.......#........#"
			"#.#.####.#....####.####.#.##.######.#"
			"#.#.#..............#....#..#......#.#"
			"#.#.####.###.#####.###.###....###.#.#"
			"#.#..............#.#.....#.#..#...#.#"
			"#.##########.#####.#####.##########.#"
			"#o.................................o#"
			"#####################################",
			
			2
			
	},
	{
            "#####################################"
			"#o..........#...........#..........o#"
			"#.####.####.#.####.####.#.####.####.#"
			"#.####.####.#.####.####.#.####.####.#"
			"#...................................#"
			"#.####.####.#.#########.#.####.####.#"
			"#.####.####.#.#########.#.####.####.#"
			"#...........#.....#.....#...........#"
			"#.######.##.#####.#.#####.##.######.#"
			"#.######.##.#...........#.##.######.#"
			"#.....##.##.#.#### ####.#.##.##.....#"
			"#####.........#       #.........#####"
			"#####.##.##.#.# 12345 #.#.##.##.#####"
			"#.....##.##.#.#### ####.#.##.##.....#"
			"#.######.##.#.....*.....#.##.######.#"
			"#.######.##.#####.#.#####.##.######.#"
			"#...........#.....x.....#...........#"
			"#.####.####.#.#########.#.####.####.#"
			"#.####.####.#.#########.#.####.####.#"
			"#...................................#"
			"#.####.####.#.####.####.#.####.####.#"
			"#.####.####.#.####.####.#.####.####.#"
			"#o..........#...........#..........o#"
			"#####################################",
			
			1
			
	},
	{
            "#####################################"
			"#o..........#...........#..........o#"
			"#.####.####.#.####.####.#.####.####.#"
			"#.###...###.#.####.####.#.###...###.#"
			"#.#...#...#...#.......#...#...#...#.#"
			"#.#.#...###.#.####.####.#.###...#.#.#"
			"#.#.##.####.#.####.####.#.####.##.#.#"
			"#...................................#"
			"#.######.########.#.########.######.#"
			"#...####....#...........#....####...#"
			"###...##.##.#.#### ####.#.##.##...###"
			"#####.........#       #.........#####"
			"#####.##.##.#.# 12345 #.#.##.##.#####"
			"###...##.##.#.#### ####.#.##.##...###"
			"#...####....#.....*.....#....####...#"
			"#.######.########.#.########.######.#"
			"#.................x.................#"
			"#.#.##.####.#.####.####.#.####.##.#.#"
			"#.#.#...###.#.####.####.#.###...#.#.#"
			"#.#...#...#...#.......#...#...#...#.#"
			"#.###...###.#.####.####.#.###...###.#"
			"#.####.####.#.####.####.#.####.####.#"
			"#o..........#...........#..........o#"
			"#####################################",
			
			1
			
	},
	{
            "#####################################"
			"#.........###...........###.........#"
			"#########.###.#########.###.#########"
			"#o..............#####..............o#"
			"#.###########.#.#####.#.###########.#"
			"#.##..........#.#####.#..........##.#"
			"#.##.########.#.#####.#.########.##.#"
			"#.##.########.#.......#.########.##.#"
			"#.........###.#########.###.........#"
			"#########.###...........###.#########"
			"#########.###.#### ####.###.#########"
			"#.........###.#       #.###.........#"
			"#.#######.....# 12345 #.....#######.#"
			"#.#######.###.#### ####.###.#######.#"
			"#....####.###.....*.....###.####....#"
			"####.####.#####.#####.#####.####.####"
			"####............#####............####"
			"####.##########.#####.##########.####"
			"#........###......X......###........#"
			"####.###.###.###########.###.###.####"
			"#o...###.........###.........###...o#"
			"#.######.#######.###.#######.######.#"
			"#...................................#"
			"#####################################",
			
			1
			
	},
	{
            "#####################################"
			"#o......##.................##......o#"
			"#.#####.##.###############.##.#####.#"
			"#.#####.##.###############.##.#####.#"
			"#...................................#"
			"####.##.########.###.########.##.####"
			"####.##.########.###.########.##.####"
			"####.##..........###..........##.####"
			"#....#####.###############.#####....#"
			"####.............................####"
			"####.########.#### ####.########.####"
			"####.####.....#       #.....####.####"
			"####.####.###.# 12345 #.###.####.####"
			"####.####.###.#### ####.###.####.####"
			"#.........###.....*.....###.........#"
			"####.###########.###.###########.####"
			"####.............###.............####"
			"####.#######.###########.#######.####"
			"#.................X.................#"
			"#.#####.########.###.########.#####.#"
			"#.#####.##.......###.......##.#####.#"
			"#.#####.##.###############.##.#####.#"
			"#o.................................o#"
			"#####################################",
			
			1
			
	},
	{
            "#####################################"
			"#. . . . . . . . o . . . . . . . . .#"
			"#.#################################.#"
			"#.#. . . . . . . . . . . . . . . .#.#"
			"#.#.#############################.#.#"
			"#.#.#. . . . . . o . . . . . . .#.#.#"
			"#.#.#.#########################.#.#.#"
			"#.#.#.#. . . . . . . . . . . .#.#.#.#"
			"#.#.#.#.#####################.#.#.#.#"
			"#. . . . . . . . . . . . . . . . . .#"
			"#.#####. . . . . . . . . . . .#####.#"
			"#.#####.####. .### ###. .####.#####.#"
			"#.#####.####. .#12345#. .####.#####.#"
			"#.#####.####. .### ###. .####.#####.#"
			"#.#####. . . . . . . . . . . .#####.#"
			"#. . . . . . . . .X. . . . . . . . .#"
			"#.#.#.#########################.#.#.#"
			"#.#.#. . . . . . .o. . . . . . .#.#.#"
			"#.#.#############################.#.#"
			"#.#. . . . . . . . . . . . . . . .#.#"
			"#.#################################.#"
			"#. . . . . . . . . . . . . . . . . .#"
			"#####*#####.##### o #####.#####*#####"
			"#####################################",
			
			1
			
	},
	{
            "#####################################"
			"#. . .o. .#. . . . . . . .#. .o. . .#"
			"#.#######.#. . . . . . . .#.#######.#"
			"#.#######.#. . . . . . . .#.#######.#"
			"#. . . . . . ########### . . . . . .#"
			"#.###. . . . .#########. . . . .###.#"
			"#.# #. . . . . .#####. . . . . .# #.#"
			"#.# #. . . . . . .#. . . . . . .# #.#"
			"#.###. . . . . . . . . . . . . .###.#"
			"#. . . . . . .####  #### . . . . . .#"
			"#. . . ##### .# 12   34# . ##### . .#"
			"#. . * # . . .#    5   # . . . # * .#"
			"#. . . . . # .####  #### . # . . . .#"
			"#.###. . . # . . . . . . . # . . ##.#"
			"#.## . ##. # ##. ##. ##. ### . ##. .#"
			"#.## . ##. ####. ##. ##. ### . ##. .#"
			"#.## . . . . . . . . . . . . . . ##.#"
			"#. . . . . . . . .#. . . . . . . . .#"
			"#.###. . . . . .#####. . . . . .###.#"
			"#.# #. . . . .#########. . . . .# #.#"
			"#.# #. . . .#############. . . .# #.#"
			"#.###. . # . . . .X. . . . # . .###.#"
			"#. o . . ######. . . .###### . . o .#"
			"#####################################",
			
			1
			
	},
	{
            "#####################################"
			"#. . . . . . . . . . . . . . . . . .#"
			"#.#################################.#"
			"#.#. . . .#. . . . . . . .#  1   5#.#"
			"#.#. o . # . . . . . . . . #   2  #.#"
			"#.#. . .#. . . ######. . . .#   3 #.#"
			"#.#. . . . . . # o .#. . . .     4#.#"
			"#.#. .#. . . . # . .#. . . . . #  #.#"
			"#.#. # . . . . . . . . . . . . .# #.#"
			"#.#.#. . . . . . . . . . . . . . ##.#"
			"#.#. . . . . . . . . . . . . . . . .#"
			"#. .## * .## . .## . .## . .## . . .#"
			"#. . .## . .## . .## . .## . .## . .#"
			"#.#. . .## . .## . .## * .## . . . .#"
			"#.#.# . . . . . . . . . . . . . #.#.#"
			"#.#. #. . . . . . . . . . . . .# .#.#"
			"#.#. .#. . . . . . . . . . . .#. .#.#"
			"#.#. . . . . . . . . . . . . . . .#.#"
			"#.#. . .#. . . . . . . . . .#. . .#.#"
			"#.#. o . # . . . . . . . . # . o .#.#"
			"#.#. . . .#. . . . . . . .#. . . .#.#"
			"#.#################################.#"
			"#. . . . . . . . . . . . . . . . . X#"
			"#####################################",
			
			1
			
	},
	{
            "#####################################"
			"#.o. . .#. . .#. . . . . . . . . .o.#"
			"#.#####.#.###. .### ### ###.#######.#"
			"#. ####.#.###. .### ### ###.###### .#"
			"#. .###.#.###. .### ### ###.#####. .#"
			"#. . ##.#.###. .    ###    .#### . .#"
			"#. . .#.#.###. .### ### ###.###. . .#"
			"#. . . .#.###. .### ### ###.## . . .#"
			"#. . . . .###. .### ### ###.#. . . .#"
			"#. . . . . ##. .#  1   2  #.#. . . .#"
			"#. . . . . .#. .#  3 5 4  #.#. . . .#"
			"#. . . . . . .#.### ### ###. . . . .#"
			"#. ### . . .#. .### ### ###.#. . . .#"
			"#. ##. . . ##. .### ### ###.#. . . .#"
			"#. .o# . .###. .    ###    .#. . . .#"
			"## . # . ####. .### ### ###.##o. . .#"
			"###. # .#####. .### ### ###.###. . .#"
			"#### * ######. .### ### ###.#### . .#"
			"#############. . . . . . . .#####. .#"
			"#############. . . . . . . .###### .#"
			"#. . . . . . . .###########.#######.#"
			"#. ############. . . . . .#.#######.#"
			"#.*. . . . . . . ########. . . . .X.#"
			"#####################################",
			
			1
			
	},
	{
            "#####################################"
			"#......#.....#.....#.....#.....#....#"
			"#..###.o.###...###...###...###.o.####"
			"#.#####.#####.#####.#####.#####.#####"
			"#..###...###...###...###...###...####"
			"#...#.....#.....#.....#.....#.......#"
			"#.#...# #.#.# #.#.# #.#.# #.#.## ##.#"
			"#.#.*.#1#.#.#2#.#.#3#.#.#4#.#.# 5 #.#"
			"#.#...# #.#.# #.#.# #.#.# #.#.## ##.#"
			"#...#.....#.....#.....#.....#...*...#"
			"#..###...###...###...###...###...####"
			"#.#####.#####.#####.#####.#####.#####"
			"#..###...###...###...###...###...####"
			"#...#.....#.....#..X..#.....#.......#"
			"#.#...###.#.###.#.###.#.###.#.#####.#"
			"#.#.*.# #.#.# #.#.# #.#.# #.#.#   #.#"
			"#.#...###.#.###.#.###.#.###.#.#####.#"
			"#...#.....#.....#.....#.....#...*...#"
			"#..###...###...###...###...###...####"
			"#.#####.#####.#####.#####.#####.#####"
			"#..###.o.###...###...###...###.o.####"
			"#...#.....#.....#.....#.....#.......#"
			"#......#.....#.....#.....#.....#....#"
			"#####################################",
			
			1
			
	},
	{
            "#####################################"
			"#.*. . .o.#. . . . .#. . . .o.#. .*.#"
			"#. . . . .#. . . . .#. . . . .#. . .#"
			"#### .###.#.#######.#.#####. .#.#####"
			"#### .###...#######...#####. ...#####"
			"#. . .#######################. . . .#"
			"#.###.#        1    2       #.#####.#"
			"#.# #.#                     #.#   #.#"
			"#.# #.            3          .#   #.#"
			"#.# #.#                     #.#   #.#"
			"#.# #.#        4    5       #.#   #.#"
			"#.###.#######################.#####.#"
			"#.*. . . . . . .###. . . . . . . .*.#"
			"#. . .###. . .###. . . .###. . . . .#"
			"#. . .#. . . .#. . . . . .#. . . ####"
			"#. . .#. . . .#. . .X. . .#. .#. ####"
			"#####.#.###. .#.###. .###.#. .#. ####"
			"#####. . . . . .#. . . .#.#. . .#####"
			"#########. . . .#. . . .#. . .#######"
			"#########. . . . . . . . . . .#######"
			"#. .o. . . .#####. . . .#### . .o. .#"
			"#.#########.#####. .#. .#### . . . .#"
			"#. . . . . .. . . . #. . . . . . . .#"
			"#####################################",
			
			1
			
	},
	{
            "#####################################"
			"#...................................#"
			"#..##....#..........................#"
			"#..#.#...#..........................#"
			"#..#..#..#.........*................#"
			"#..#...#.#..........................#"
			"#..#....##..........................#"
			"#..........#....#...................#"
			"#....o.....#....#...................#"
			"#..........#....#...................#"
			"#..........#....#............*......#"
			"#..........######...................#"
			"#..................######...........#"
			"#............o.....# 12 #...........#"
			"#..................#  3 #...........#"
			"#..................# 45 #...........#"
			"#..................######...........#"
			"#.........................##....#...#"
			"#....................o....#.#...#...#"
			"#.........................#..#..#...#"
			"#.........................#...#.#...#"
			"#..X......................#....##...#"
			"#...........................o.......#"
			"#####################################",
			
			1
			
	}
};
